Scala Compiler2.12.13 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait MatchCodeGen extends Interface

  Factory methods used by TreeMakers to make the actual trees.

  Factory methods used by TreeMakers to make the actual trees.

  We have two modes in which to emit trees: optimized (the default) and pure (aka "virtualized": match is parametric in its monad).

  Definition Classes
    patmat
-  trait PureCodegen extends CodegenCore with PureMatchMonadInterface
  Definition Classes
    MatchCodeGen
- AbsCodegen
- Casegen
- CommonCodegen
- pureCodegen

o

scala.tools.nsc.transform.patmat.MatchCodeGen.PureCodegen

# pureCodegen 

###

#### object pureCodegen extends CommonCodegen with Casegen

Source
  MatchCodeGen.scala

Linear Supertypes
PureCodegen.Casegen, PureCodegen.CommonCodegen, PureCodegen.AbsCodegen, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. pureCodegen
2. Casegen
3. CommonCodegen
4. AbsCodegen
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def _asInstanceOf(b: Global.Symbol, tp: Global.Type): Global.Tree
   Definition Classes
     CommonCodegen → AbsCodegen
5.  def _equals(checker: Global.Tree, binder: Global.Symbol): Global.Tree
   Definition Classes
     CommonCodegen → AbsCodegen
6.  def _isInstanceOf(b: Global.Symbol, tp: Global.Type): Global.Tree
   Definition Classes
     CommonCodegen → AbsCodegen
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  def drop(tgt: Global.Tree)(n: Int): Global.Tree
   Definition Classes
     CommonCodegen → AbsCodegen
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  def flatMap(prev: Global.Tree, b: Global.Symbol, next: Global.Tree): Global.Tree
    Definition Classes
      pureCodegen → Casegen
14.  def flatMapCond(cond: Global.Tree, res: Global.Tree, nextBinder: Global.Symbol, next: Global.Tree): Global.Tree
    Definition Classes
      pureCodegen → Casegen
15.  def flatMapGuard(guardTree: Global.Tree, next: Global.Tree): Global.Tree
    Definition Classes
      pureCodegen → Casegen
16.  def fun(arg: Global.Symbol, body: Global.Tree): Global.Tree
    Definition Classes
      CommonCodegen
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def guard(c: Global.Tree, thenp: Global.Tree): Global.Tree
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def ifThenElseZero(c: Global.Tree, thenp: Global.Tree): Global.Tree
    Definition Classes
      Casegen
21.  def index(tgt: Global.Tree)(i: Int): Global.Tree
    Definition Classes
      CommonCodegen → AbsCodegen
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  def matcher(scrut: Global.Tree, scrutSym: Global.Symbol, restpe: Global.Type)(cases: List[(PureCodegen.Casegen) ⇒ Global.Tree], matchFailGen: Option[(Global.Tree) ⇒ Global.Tree]): Global.Tree
    Definition Classes
      pureCodegen → AbsCodegen
24.  def mkZero(tp: Global.Type): Global.Tree
    Definition Classes
      CommonCodegen → AbsCodegen
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  def one(res: Global.Tree): Global.Tree
    Definition Classes
      pureCodegen → Casegen
29.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
30.  def toString(): String
    Definition Classes
      AnyRef → Any
31.  def tupleSel(binder: Global.Symbol)(i: Int): Global.Tree
    Definition Classes
      CommonCodegen → AbsCodegen
32.  def typedOrElse(thisCase: Global.Tree, elseCase: Global.Tree): Global.Tree
33.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
36.  def zero: Global.Tree
    Attributes
      protected
    Definition Classes
      pureCodegen → Casegen

### Inherited from PureCodegen.Casegen

### Inherited from PureCodegen.CommonCodegen

### Inherited from PureCodegen.AbsCodegen

### Inherited from AnyRef

### Inherited from Any

### Ungrouped